## org.firebirdsql.jdbc
Class InternalTransactionCoordinator.ManagedTransactionCoordinator

    java.lang.Object
      org.firebirdsql.jdbc.InternalTransactionCoordinator.AbstractTransactionCoordinator
          org.firebirdsql.jdbc.InternalTransactionCoordinator.LocalTransactionCoordinator
              org.firebirdsql.jdbc.InternalTransactionCoordinator.ManagedTransactionCoordinator

All Implemented Interfaces:
  FBObjectListener.BlobListener, FBObjectListener.StatementListener

Enclosing class:
  InternalTransactionCoordinator

    public static class InternalTransactionCoordinator.ManagedTransactionCoordinator

extends InternalTransactionCoordinator.LocalTransactionCoordinator

Field Summary

Fields inherited from class org.firebirdsql.jdbc.InternalTransactionCoordinator.AbstractTransactionCoordinator
`connection, localTransaction, statements`

Constructor Summary
`InternalTransactionCoordinator.ManagedTransactionCoordinator(AbstractConnection connection)` Create instance of this class for the specified connection.

Method Summary
`void` `commit()`
`protected void` `completeStatements()`
`void` `ensureTransaction()`
`void` `executionStarted(AbstractStatement stmt)` Notify listener that statement execution is being started.
`void` `executionStarted(FirebirdBlob blob)` Notify listener that execution of some BLOB operation had been started.
`void` `rollback()`

Methods inherited from class org.firebirdsql.jdbc.InternalTransactionCoordinator.LocalTransactionCoordinator
`executionCompleted, statementClosed, statementCompleted, statementCompleted`

Methods inherited from class org.firebirdsql.jdbc.InternalTransactionCoordinator.AbstractTransactionCoordinator
`getConnection, getStatements, setStatements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalTransactionCoordinator.ManagedTransactionCoordinator

    public InternalTransactionCoordinator.ManagedTransactionCoordinator(AbstractConnection connection)

  Create instance of this class for the specified connection.

  Parameters:
    `connection` - connection to coordinate.

Method Detail

### completeStatements

    protected void completeStatements()
                               throws SQLException

  Overrides:
    `completeStatements` in class `InternalTransactionCoordinator.AbstractTransactionCoordinator`
  Throws:
    `SQLException`

### ensureTransaction

    public void ensureTransaction()
                           throws SQLException

  Overrides:
    `ensureTransaction` in class `InternalTransactionCoordinator.LocalTransactionCoordinator`
  Throws:
    `SQLException`

### executionStarted

    public void executionStarted(AbstractStatement stmt)
                          throws SQLException

  Description copied from interface: `FBObjectListener.StatementListener`
  Notify listener that statement execution is being started.

  Specified by:
    `executionStarted` in interface `FBObjectListener.StatementListener`
  Overrides:
    `executionStarted` in class `InternalTransactionCoordinator.LocalTransactionCoordinator`
  Parameters:
    `stmt` - statement that is being executed.
  Throws:
    `SQLException` - if something went wrong.

### commit

    public void commit()
                throws SQLException

  Overrides:
    `commit` in class `InternalTransactionCoordinator.LocalTransactionCoordinator`
  Throws:
    `SQLException`

### rollback

    public void rollback()
                  throws SQLException

  Overrides:
    `rollback` in class `InternalTransactionCoordinator.LocalTransactionCoordinator`
  Throws:
    `SQLException`

### executionStarted

    public void executionStarted(FirebirdBlob blob)
                          throws SQLException

  Description copied from interface: `FBObjectListener.BlobListener`
  Notify listener that execution of some BLOB operation had been started.

  Specified by:
    `executionStarted` in interface `FBObjectListener.BlobListener`
  Overrides:
    `executionStarted` in class `InternalTransactionCoordinator.LocalTransactionCoordinator`
  Parameters:
    `blob` - instance of `FirebirdBlob` that caused this event.
  Throws:
    `SQLException` - if something went wrong.

Copyright © 2001-2010. All Rights Reserved.